<?php

/* MediaWiki extension point for NSDL CSO Authenticatoin
 *
 * This extension supplements the open source CSO Mediawiki Extension
 * Part one is used to override the built-in mediawiki login page.
 * Part two is used to logout of CSO
 *
 * Copyright (c) 2008 by Cornell University (email : systems@nsdl.org)
 * The program is distributed under the Educational Community License. 
 * Details can be found in the LICENSE file of this distribution.
 * 
 */

$wgExtensionFunctions[] = "initNSDLAuthenticationExtension";
$wgExtensionCredits['specialpage'][] = array(
    'name' => 'NSDL Shibboleth Connection',
    'version' => 'V0.03, 2007/05/07',
    'author' => 'Elly Cramer',
    'url' => 'http://wiki.nsdl.org/index.php/Community:NSDLWiki/NSDLAuthenticationExtension',
    'description' => 'Logs users out of shibboleth and redirects built-in login links to the Shibboleth login',
);

/* As per bug described in 
 * http://meta.wikimedia.org/w/index.php?title=Writing_a_new_special_page&oldid=545772 
 */
$wgExtensionFunctions[] = 'nsdlAuthenticationSetup';
require_once ("nsdl/NSDLAuthentication/NSDLUserLogin.php");
require_once ("nsdl/NSDLAuthentication/NSDLUserLogout.php");

/* Register this extension with the appropriate hooks */
function initNSDLAuthenticationExtension() {
	global $wgSpecialPages;
	global $wgAutoloadClasses;
	global $wgExtensionFunctions;
	
	$wgAutoloadClasses['NSDLUserLogin'] = dirname(__FILE__) . "nsdl/NSDLAuthentication/NSDLUserLogin.php";
	$wgSpecialPages['NSDLUserLogin'] = 'NSDLUserLogin';
	
	$wgAutoloadClasses['NSDLUserLogout'] = dirname(__FILE__) . "nsdl/NSDLAuthentication/NSDLUserLogout.php";
	$wgSpecialPages['NSDLUserLogout'] = 'NSDLUserLogout';
	
}

function nsdlAuthenticationSetup() {
  global $wgMessageCache;
  $wgMessageCache->addMessage('nsdluserlogin', 'NSDL User Login');
  $wgMessageCache->addMessage('nsdluserlogout', 'NSDL User Logout');
}

?>
